Package oasis.names.tc.saml._2_0.assertion

# Class ProxyRestriction

java.lang.Object
oasis.names.tc.saml._2_0.assertion.ConditionAbstractType
oasis.names.tc.saml._2_0.assertion.ProxyRestriction

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ProxyRestriction extends ConditionAbstractType implements Serializable

Java class for ProxyRestrictionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProxyRestrictionType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}ConditionAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Audience" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Count" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyRestriction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAudiences()`
  Gets the value of the audiences property.
  `BigInteger`
  `getCount()`
  Gets the value of the count property.
  `void`
  `setCount(BigInteger value)`
  Sets the value of the count property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProxyRestriction

    public ProxyRestriction()

- ## Method Details

  - ### getAudiences

    public List<String> getAudiences()
    Gets the value of the audiences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the audiences property.

    For example, to add a new item, do as follows:

         getAudiences().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the audiences property.

  - ### getCount

    public BigInteger getCount()
    Gets the value of the count property.
    Returns:
      possible object is `BigInteger`

  - ### setCount

    public void setCount(BigInteger value)
    Sets the value of the count property.
    Parameters:
      `value` - allowed object is `BigInteger`